gtkaccount.h File Reference
Pidgin (GTK+ User Interface)

GTK+ Account Editor UI. More...

`#include "account.h"`

Go to the source code of this file.

## Enumerations

enum | PidginAccountDialogType { PIDGIN_ADD_ACCOUNT_DIALOG , PIDGIN_MODIFY_ACCOUNT_DIALOG }

## Functions

void | pidgin_accounts_window_show (void)
| Shows the accounts window.
void | pidgin_accounts_window_hide (void)
| Hides the accounts window.
void | pidgin_account_dialog_show (PidginAccountDialogType type, PurpleAccount *account)
| Shows an add/modify account dialog. More...
PurpleAccountUiOps * | pidgin_accounts_get_ui_ops (void)
| Returns the GTK+ account UI ops. More...
void * | pidgin_account_get_handle (void)
| Returns the gtkaccounts handle. More...
void | pidgin_account_init (void)
| Initializes the GTK+ account system.
void | pidgin_account_uninit (void)
| Uninitializes the GTK+ account system.

## Detailed Description

GTK+ Account Editor UI.

See also
  GtkAccount Signals

Definition in file gtkaccount.h.

## Function Documentation

## pidgin_account_dialog_show()

void pidgin_account_dialog_show | ( | PidginAccountDialogType | type,
|  | PurpleAccount * | account
| ) |  |

Shows an add/modify account dialog.

Parameters

  type | The type of dialog.
  account | The associated account, or `NULL` for an Add dialog.

## pidgin_account_get_handle()

void* pidgin_account_get_handle | ( | void |  | ) |

Returns the gtkaccounts handle.

Returns
  The handle to the GTK+ account system

## pidgin_accounts_get_ui_ops()

PurpleAccountUiOps* pidgin_accounts_get_ui_ops | ( | void |  | ) |

Returns the GTK+ account UI ops.

Returns
  The UI operations structure.